IKEv1 наспроти IKEv2 со претходно споделен клуч: што се разликува во автентикацијата
Двете верзии докажуваат знаење на претходно споделениот клуч без да го пратат, но внесуваат различни влезови во различни хешеви. Споредете ги двете траги.
Две порти наместени со истиот претходно споделен клуч завршуваат ракување, а снимката на пакети не покажува никаква тајна што ја преминува жицата. Тоа е делот што луѓето го паметат. Интересен е делот што секоја верзија навистина го пресметува за да докаже дека тајната е позната, бидејќи IKEv1 и IKEv2 го градат тој доказ од различни влезови и притоа откриваат различни информации. Прочитајте ги двете траги една до друга и разликата престанува да биде козметичка.
Што треба да постигне доказот
Diffie-Hellman им дава на двете страни заедничка вредност чии јавни половини може да ги пресмета и секој што набљудува. Само по себе тоа не докажува ништо за идентитетот: напаѓач што ќе заврши размена на клучеви има иста заедничка вредност како вашата порта. Чекорот на автентикација постои за да ја врзе таа размена за тајна што ја имаат само предвидените страни, и за идентитетите и параметрите за кои се договориле.
Токму таа врска е причината зошто хешот покрива повеќе од клучот. Да покриваше само тајната, напаѓач би можел да го репродуцира во друга размена со други идентитети или предлози.
IKEv1 Main Mode: изведи SKEYID, потоа докажи го
Main Mode извршува шест пораки. Првиот пар ја договара безбедносната асоцијација, вториот разменува јавни Diffie-Hellman вредности и nonce, а третиот носи идентитети плус хешеви за автентикација под шифрирањето што штотуку е воспоставено. RFC 2409 ја дефинира конструкцијата: со автентикација преку претходно споделен клуч, SKEYID се изведува од тајната и од двата nonce, а подоцнежниот клучен материјал од SKEYID, заедничката Diffie-Hellman вредност, колачињата и константите.
Хешот во петтата и шестата порака се пресметува врз Diffie-Hellman вредноста, двете колачиња, предлогот и идентитетот на праќачот, со SKEYID како клуч. Примачот го пресметува повторно со својата наместена тајна. Несовпаѓањето ја завршува размената, и тајната самата никогаш не е товар.
Aggressive Mode ја собира истата работа во три пораки, што значи дека идентитетите и хешот за автентикација патуваат пред да постои шифриран канал. Тоа е вистинска изложеност за тајна што може да се погоди, и е одвоено од прашањето дали тајната е пренесена. IKEv1 е застарен со RFC 9395, па старата трага е дијагностичка вежба, а не цел за распоредување.
IKEv2: друго изведување и друг AUTH товар
IKEv2 не го користи повторно распоредот на клучеви од IKEv1. Почетните IKE клучеви доаѓаат од семе изградено од nonce вредностите и заедничката Diffie-Hellman вредност, а детските безбедносни асоцијации се изведуваат од него. Претходно споделениот клуч воопшто не го храни семето.
Автентикацијата потоа се појавува како AUTH товар. За автентикација со заеднички клуч, RFC 7296 пропишува наполнета форма на тајната, добиена со хеширање на тајната со фиксната низа Key Pad for IKEv2, а потоа со хеширање на потпишаните податоци од размената и идентитетот со тој наполнет клуч. Проверувачот може да ја обнови истата вредност; набљудувач не може, без тајната.
Забележете што се промени. Кај IKEv1 тајната е вмешана во распоредот на клучеви пред да постои хешот за автентикација; кај IKEv2 распоредот на клучеви е независен од тајната и доказот е посебен товар врзан за потпишаните октети. Истата концептуална гаранција, друга машинерија, и затоа имињата на параметрите и снимките не се совпаѓаат еден на еден.
Што навистина дознава набљудувач
Јавните Diffie-Hellman вредности, предлозите, nonce вредностите и колачињата се видливи во двете верзии. Идентитетите се видливи во IKEv1 Aggressive Mode и се заштитени во другите случаи. Тајната никогаш не е видлива.
Последната реченица има граница што вреди да се каже. Слаба тајна избрана од човек може да се нападне со погодување: напаѓачот пресметува каква би била вредноста за автентикација за кандидат-тајна и споредува. IKEv1 Aggressive Mode го прави тоа најевтино затоа што доказот е отворен, а стандардите генерално предупредуваат за тајни со ниска ентропија. Никогаш да не се пренесе тајната сѐ уште не значи дека лошата тајна е безбедна.
Што да се прави со споредбата
Користете една единствена тајна за секој пар страни, генерирајте ја од случаен извор и менувајте ја низ истиот пат за подготовка што ја дистрибуирал. Ако тајната стои во шаблон за конфигурација што оди во секоја филијала, компромит на едно место е компромит насекаде.
Претпочитајте автентикација заснована на сертификати каде оперативниот трошок е прифатлив, бидејќи ја отстранува задачата за погодување на заедничката тајна и на секоја страна ѝ дава посебен идентитет. Каде претходно споделен клуч останува, држете го долг, ограничете го опфатот и третирајте ја верзијата на IKE како безбедносна одлука, а не како детал за интероперабилност.